import Color from "../../system/Color";
import { StiHorizontalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import { StiEditableContent } from "../../system/interfaces";
export declare class StiAddressLabelItem implements StiEditableContent {
    parent: any;
    get eFont(): Font;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    haveBackgoundColor(): boolean;
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    haveContentAlignment(): boolean;
    htmlStyle(): string;
    private property;
    set eValue(value: string);
    get eValue(): string;
    haveVerticalAlignment(): boolean;
    constructor(value: string, parent: any);
}
